Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569245 - [Docs] The example of updating Storage Server Connections in the REST-API Guide appears to be incorrect
Summary: [Docs] The example of updating Storage Server Connections in the REST-API Gui...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.3.0
: ---
Assignee: shani
QA Contact: rhev-docs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 21:18 UTC by Gordon Watson
Modified: 2021-06-10 15:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-22 16:06:13 UTC
oVirt Team: Storage
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 91277 0 master MERGED api-model: Change documentation on StorageServerConnectionService 2018-05-17 07:06:55 UTC
oVirt gerrit 91279 0 model_4.2 MERGED api-model: Add documentation on StorageConnection.java 2018-05-17 08:42:09 UTC
oVirt gerrit 91306 0 model_4.2 MERGED api-model: Change documentation on StorageServerConnectionService 2018-05-17 07:07:52 UTC
oVirt gerrit 91321 0 model_4.2 MERGED api-model: Add documentation on StorageConnection.java 2018-05-17 08:42:28 UTC

Description Gordon Watson 2018-04-18 21:18:42 UTC
Description of problem:

Section 6.192.3 of the REST-API Guide seems to provide an incorrect example;

PUT /ovirt-engine/api/storageconnections/123

With a request body like this:

<storage_connection>
  <address>mynewnfs.example.com</address>
  <host>
    <name>myhost</name>
  </host>
</storage_connection>


This actually "works", i.e. doesn't get an error, and does in fact check that the host exists. However, if it updates something, it's not the 'storage_server_connections' table.


Version-Release number of selected component (if applicable):

RHV 4.1


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Lucy Bopf 2018-04-26 01:00:35 UTC
This section of the API documentation would have been written by a storage SME, so I'm going to defer this one to the 'Storage' team for review first; if a fix is required, it will need to be submitted as a patch to the API code.

Apologies if component is incorrect. Please reassign as needed.

Comment 3 Tal Nisan 2018-04-30 12:42:05 UTC
Shani, please review and see if a fix is needed in the docs


Note You need to log in before you can comment on or make changes to this bug.